<?php
/**
 * Katib Writers: Customizer
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function katib_writers_customize_register( $wp_customize ) {

	$wp_customize->add_panel( 'katib_writers_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'katib-writers' ),
	    'description' => __( 'Description of what this panel does.', 'katib-writers' ),
	) );

	// font array
	$katib_writers_font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    );
    
	//Typography

	$wp_customize->add_section( 'katib_writers_typography', array(
    	'title'      => __( 'Color / Fonts Settings', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'katib_writers_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_paragraph_color', array(
		'label' => __('Paragraph Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('katib_writers_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_paragraph_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'Paragraph Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	$wp_customize->add_setting('katib_writers_paragraph_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'katib_writers_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_atag_color', array(
		'label' => __('"a" Tag Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('katib_writers_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_atag_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( '"a" Tag Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'katib_writers_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_li_color', array(
		'label' => __('"li" Tag Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('katib_writers_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_li_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( '"li" Tag Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h1_color', array(
		'label' => __('H1 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h1_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'H1 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('katib_writers_h1_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h1_font_size',array(
		'label'	=> __('H1 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h2_color', array(
		'label' => __('h2 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h2_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'h2 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('katib_writers_h2_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h2_font_size',array(
		'label'	=> __('h2 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h3_color', array(
		'label' => __('h3 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h3_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'h3 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('katib_writers_h3_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h3_font_size',array(
		'label'	=> __('h3 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h4_color', array(
		'label' => __('h4 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h4_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'h4 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('katib_writers_h4_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h4_font_size',array(
		'label'	=> __('h4 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h5_color', array(
		'label' => __('h5 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h5_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'h5 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('katib_writers_h5_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h5_font_size',array(
		'label'	=> __('h5 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'katib_writers_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_h6_color', array(
		'label' => __('h6 Color', 'katib-writers'),
		'section' => 'katib_writers_typography',
		'settings' => 'katib_writers_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('katib_writers_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control(
	    'katib_writers_h6_font_family', array(
	    'section'  => 'katib_writers_typography',
	    'label'    => __( 'h6 Fonts','katib-writers'),
	    'type'     => 'select',
	    'choices'  => $katib_writers_font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('katib_writers_h6_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_h6_font_size',array(
		'label'	=> __('h6 Font Size','katib-writers'),
		'section'	=> 'katib_writers_typography',
		'setting'	=> 'katib_writers_h6_font_size',
		'type'	=> 'text'
	));

	// background skin mode
	$wp_customize->add_setting('katib_writers_background_image_type',array(
        'default' => 'Transparent',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_background_image_type',array(
        'type' => 'radio',
        'label' => __('Background Skin Mode','katib-writers'),
        'section' => 'background_image',
        'choices' => array(
            'Transparent' => __('Transparent','katib-writers'),
            'Background' => __('Background','katib-writers'),
        ),
	) );

	// Add the Theme Color Option section.
	$wp_customize->add_section( 'katib_writers_theme_color_option', array( 
		'panel' => 'katib_writers_panel_id', 
		'title' => esc_html__( 'Theme Color Option', 'katib-writers' ) )
	);

  	$wp_customize->add_setting( 'katib_writers_theme_color_first', array(
	    'default' => '#054e47',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_theme_color_first', array(
  		'label' => __( 'Color Option', 'katib-writers' ),
	    'description' => __('One can change complete theme color on just one click.', 'katib-writers'),
	    'section' => 'katib_writers_theme_color_option',
	    'settings' => 'katib_writers_theme_color_first',
  	)));

  	$wp_customize->add_setting( 'katib_writers_theme_color_second', array(
	    'default' => '#2ccdc3',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_theme_color_second', array(
  		'label' => __( 'Color Option', 'katib-writers' ),
	    'description' => __('One can change complete theme color on just one click.', 'katib-writers'),
	    'section' => 'katib_writers_theme_color_option',
	    'settings' => 'katib_writers_theme_color_second',
  	)));

  	// woocommerce Options
	$wp_customize->add_section( 'katib_writers_shop_page_options', array(
    	'title'      => __( 'Shop Page Settings', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );

	$wp_customize->add_setting('katib_writers_display_related_products',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_display_related_products',array(
       'type' => 'checkbox',
       'label' => __('Related Product','katib-writers'),
       'section' => 'katib_writers_shop_page_options',
    ));

    $wp_customize->add_setting('katib_writers_shop_products_border',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_shop_products_border',array(
       'type' => 'checkbox',
       'label' => __('Product Border','katib-writers'),
       'section' => 'katib_writers_shop_page_options',
    ));

	$wp_customize->add_setting( 'katib_writers_woocommerce_product_per_columns' , array(
		'default'           => 3,
		'transport'         => 'refresh',
		'sanitize_callback' => 'katib_writers_sanitize_choices',
	) );
	$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'katib_writers_woocommerce_product_per_columns', array(
		'label'    => __( 'Total Products Per Columns', 'katib-writers' ),
		'section'  => 'katib_writers_shop_page_options',
		'type'     => 'radio',
		'choices'  => array(
						'2' => '2',
						'3' => '3',
						'4' => '4',
						'5' => '5',
		),
	) ) );

	$wp_customize->add_setting('katib_writers_woocommerce_product_per_page',array(
		'default'	=> 9,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));	
	$wp_customize->add_control('katib_writers_woocommerce_product_per_page',array(
		'label'	=> __('Total Products Per Page','katib-writers'),
		'section'	=> 'katib_writers_shop_page_options',
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_shop_page_top_padding',array(
		'default' => 10,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control( 'katib_writers_shop_page_top_padding',	array(
		'label' => esc_html__( 'Product Padding (Top Bottom)','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_shop_page_left_padding',array(
		'default' => 10,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control( 'katib_writers_shop_page_left_padding',	array(
		'label' => esc_html__( 'Product Padding (Right Left)','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_shop_page_border_radius',array(
		'default' => 0,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_shop_page_border_radius',array(
		'label' => esc_html__( 'Product Border Radius','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_shop_page_box_shadow',array(
		'default' => 0,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_shop_page_box_shadow',array(
		'label' => esc_html__( 'Product Shadow','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_shop_button_padding_top',array(
		'default' => 9,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_shop_button_padding_top',	array(
		'label' => esc_html__( 'Button Padding (Top Bottom)','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
		'type'		=> 'number',

	));

	$wp_customize->add_setting( 'katib_writers_shop_button_padding_left',array(
		'default' => 16,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_shop_button_padding_left',array(
		'label' => esc_html__( 'Button Padding (Right Left)','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'type'		=> 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
	));

	$wp_customize->add_setting( 'katib_writers_shop_button_border_radius',array(
		'default' => 3,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_shop_button_border_radius',array(
		'label' => esc_html__( 'Button Border Radius','katib-writers' ),
		'section' => 'katib_writers_shop_page_options',
		'type'		=> 'number',
		'input_attrs' => array(
			'min' => 0,
			'max' => 50,
			'step' => 1,
		),
	));

  	//Layout Settings
	$wp_customize->add_section( 'katib_writers_width_layout', array(
    	'title'      => __( 'Layout Settings', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );

	//Sticky Header
	$wp_customize->add_setting( 'katib_writers_fixed_header',array(
		'default' => false,
      	'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ) );
    $wp_customize->add_control('katib_writers_fixed_header',array(
    	'type' => 'checkbox',
        'label' => __( 'Enable / Disable Fixed Header','katib-writers' ),
        'section' => 'katib_writers_width_layout'
    ));

	$wp_customize->add_setting('katib_writers_loader_setting',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_loader_setting',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Preloader','katib-writers'),
       'section' => 'katib_writers_width_layout'
    ));

    $wp_customize->add_setting('katib_writers_preloader_types',array(
        'default' => 'Default',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_preloader_types',array(
        'type' => 'radio',
        'label' => __('Preloader Option','katib-writers'),
        'section' => 'katib_writers_width_layout',
        'choices' => array(
            'Default' => __('Default','katib-writers'),
            'Circle' => __('Circle','katib-writers'),
            'Two Circle' => __('Two Circle','katib-writers')
        ),
	) );

    $wp_customize->add_setting( 'katib_writers_loader_color_setting', array(
	    'default' => '#fff',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_loader_color_setting', array(
  		'label' => __('Preloader Color Option', 'katib-writers'),
	    'section' => 'katib_writers_width_layout',
	    'settings' => 'katib_writers_loader_color_setting',
  	)));

  	$wp_customize->add_setting( 'katib_writers_loader_background_color', array(
	    'default' => '#000',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_loader_background_color', array(
  		'label' => __('Preloader Background Color Option', 'katib-writers'),
	    'section' => 'katib_writers_width_layout',
	    'settings' => 'katib_writers_loader_background_color',
  	)));

	$wp_customize->add_setting('katib_writers_theme_options',array(
    'default' => 'Default',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_theme_options',array(
        'type' => 'select',
        'label' => __('Container Box','katib-writers'),
        'description' => __('Here you can change the Width layout. ','katib-writers'),
        'section' => 'katib_writers_width_layout',
        'choices' => array(
            'Default' => __('Default','katib-writers'),
            'Wide Layout' => __('Wide Layout','katib-writers'),
            'Box Layout' => __('Box Layout','katib-writers'),
        ),
	) );

	// Button Settings
	$wp_customize->add_section( 'katib_writers_button_option', array(
		'title' => __('Button','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));

	$wp_customize->add_setting('katib_writers_top_bottom_padding',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_top_bottom_padding',array(
		'label'	=> __('Top and Bottom Padding ','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_button_option',
		'type'=> 'number'
	));

	$wp_customize->add_setting('katib_writers_left_right_padding',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_left_right_padding',array(
		'label'	=> __('Left and Right Padding','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_button_option',
		'type'=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_border_radius', array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	) );
	$wp_customize->add_control( 'katib_writers_border_radius', array(
		'label'       => esc_html__( 'Button Border Radius','katib-writers' ),
		'section'     => 'katib_writers_button_option',
		'type'        => 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	$wp_customize->add_section( 'katib_writers_general_option', array(
    	'title'      => __( 'Sidebar Settings', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('katib_writers_layout_settings',array(
        'default' => 'Right Sidebar',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_layout_settings',array(
        'type' => 'radio',
        'label' => __('Post Sidebar Layout','katib-writers'),
        'section' => 'katib_writers_general_option',
        'description' => __('This option work for blog page, blog single page, archive page and search page.','katib-writers'),
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','katib-writers'),
            'Right Sidebar' => __('Right Sidebar','katib-writers'),
            'One Column' => __('Full Column','katib-writers'),
            'Grid Layout' => __('Grid Layout','katib-writers')
        ),
	) );

	$wp_customize->add_setting('katib_writers_page_sidebar_option',array(
        'default' => 'One Column',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_page_sidebar_option',array(
        'type' => 'radio',
        'label' => __('Page Sidebar Layout','katib-writers'),
        'section' => 'katib_writers_general_option',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','katib-writers'),
            'Right Sidebar' => __('Right Sidebar','katib-writers'),
            'One Column' => __('Full Column','katib-writers')
        ),
	) );

	// navigation menu 
	$wp_customize->add_section( 'katib_writers_navigation_menu' , array(
    	'title'      => __( 'Navigation Menus Settings', 'katib-writers' ),
		'priority'   => null,
		'panel' => 'katib_writers_panel_id'
	) );

	$wp_customize->add_setting('katib_writers_navigation_menu_font_size',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_navigation_menu_font_size',array(
		'label'	=> __('Navigation Menus Font Size ','katib-writers'),
		'section'=> 'katib_writers_navigation_menu',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'type'=> 'number'
	));

	$wp_customize->add_setting('katib_writers_menu_text_tranform',array(
        'default' => 'Default',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
    ));
    $wp_customize->add_control('katib_writers_menu_text_tranform',array(
        'type' => 'radio',
        'label' => __('Navigation Menus Text Transform','katib-writers'),
        'section' => 'katib_writers_navigation_menu',
        'choices' => array(
            'Default' => __('Default','katib-writers'),
            'capitalize' => __('capitalize','katib-writers'),
        ),
	) );

	$wp_customize->add_setting('katib_writers_menu_font_weight',array(
        'default' => 'Default',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
    ));
    $wp_customize->add_control('katib_writers_menu_font_weight',array(
        'type' => 'radio',
        'label' => __('Navigation Menus Font Weight','katib-writers'),
        'section' => 'katib_writers_navigation_menu',
        'choices' => array(
            'Default' => __('Default','katib-writers'),
            'Normal' => __('Normal','katib-writers'),
        ),
	) );

	//home page Banner
	$wp_customize->add_section( 'katib_writers_banner' , array(
    	'title'   => __( 'Banner Section', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );

	$wp_customize->add_setting('katib_writers_banner_title',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_banner_title',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Banner Title','katib-writers'),
       'section' => 'katib_writers_banner'
    ));

    $wp_customize->add_setting('katib_writers_banner_content',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_banner_content',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Banner Content','katib-writers'),
       'section' => 'katib_writers_banner'
    ));

    $wp_customize->add_setting('katib_writers_banner_button',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_banner_button',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Banner Button','katib-writers'),
       'section' => 'katib_writers_banner'
    ));

    $wp_customize->add_setting('katib_writers_banner_contact_number',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_banner_contact_number',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Contact No.','katib-writers'),
       'section' => 'katib_writers_banner'
    ));

    $wp_customize->add_setting('katib_writers_banner_email',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_banner_email',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Email','katib-writers'),
       'section' => 'katib_writers_banner'
    ));

	$wp_customize->add_setting('katib_writers_banner_social_media',array(
		'default'	=> true,
		'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
	));	
	$wp_customize->add_control('katib_writers_banner_social_media',array(
		'label'	=> __('Show / Hide Social Icons','katib-writers'),
		'section'	=> 'katib_writers_banner',
        'type' => 'checkbox'
	));

	$wp_customize->add_setting( 'katib_writers_banner_page', array(
		'default'           => '',
		'sanitize_callback' => 'katib_writers_sanitize_dropdown_pages'
	) );
	$wp_customize->add_control( 'katib_writers_banner_page', array(
		'label'    => __( 'Select Banner Image Page', 'katib-writers' ),
		'section'  => 'katib_writers_banner',
		'type'     => 'dropdown-pages'
	) );

	$wp_customize->add_setting('katib_writers_call',array(
		'default'	=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_phone_number'
	));	
	$wp_customize->add_control('katib_writers_call',array(
		'label'	=> __('Contact No.','katib-writers'),
		'section'	=> 'katib_writers_banner',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('katib_writers_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_email'
	));	
	$wp_customize->add_control('katib_writers_email',array(
		'label'	=> __('Email Address','katib-writers'),
		'section'	=> 'katib_writers_banner',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('katib_writers_banner_height_option',array(
		'default'=> 600,
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_banner_height_option',array(
		'label'	=> __('Banner Height Option','katib-writers'),
		'section'=> 'katib_writers_banner',
		'type'=> 'number'
	));

	//content layout
    $wp_customize->add_setting('katib_writers_slider_content_option',array(
    	'default' => 'Left',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_slider_content_option',array(
        'type' => 'select',
        'label' => __('Banner Content Layout','katib-writers'),
        'section' => 'katib_writers_banner',
        'choices' => array(
            'Center' => __('Center','katib-writers'),
            'Left' => __('Left','katib-writers'),
            'Right' => __('Right','katib-writers'),
        ),
	) );

	$wp_customize->add_setting('katib_writers_banner_button_text',array(
		'default'=> __('READ MORE','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_banner_button_text',array(
		'label'	=> __('Banner Button Text','katib-writers'),
		'section'=> 'katib_writers_banner',
		'type'=> 'text'
	));

    //Banner excerpt
	$wp_customize->add_setting( 'katib_writers_slider_excerpt_number', array(
		'default'              => 20,
		'sanitize_callback'    => 'katib_writers_sanitize_number_range',
	) );
	$wp_customize->add_control( 'katib_writers_slider_excerpt_number', array(
		'label'       => esc_html__( 'Banner Excerpt length','katib-writers' ),
		'section'     => 'katib_writers_banner',
		'type'        => 'range',
		'settings'    => 'katib_writers_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//Opacity
	$wp_customize->add_setting('katib_writers_slider_opacity_color',array(
      'default'              =>  0.3,
      'sanitize_callback' => 'katib_writers_sanitize_choices'
	));

	$wp_customize->add_control( 'katib_writers_slider_opacity_color', array(
	'label'       => esc_html__( 'Banner Image Opacity','katib-writers' ),
	'section'     => 'katib_writers_banner',
	'type'        => 'select',
	'settings'    => 'katib_writers_slider_opacity_color',
	'choices' => array(
		'0' =>  esc_attr('0','katib-writers'),
		'0.1' =>  esc_attr('0.1','katib-writers'),
		'0.2' =>  esc_attr('0.2','katib-writers'),
		'0.3' =>  esc_attr('0.3','katib-writers'),
		'0.4' =>  esc_attr('0.4','katib-writers'),
		'0.5' =>  esc_attr('0.5','katib-writers'),
		'0.6' =>  esc_attr('0.6','katib-writers'),
		'0.7' =>  esc_attr('0.7','katib-writers'),
		'0.8' =>  esc_attr('0.8','katib-writers'),
		'0.9' =>  esc_attr('0.9','katib-writers')
	),
	));

	//About
	$wp_customize->add_section('katib_writers_about',array(
		'title'	=> __('About','katib-writers'),
		'description'	=> __('Add About Section below.','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));

	$wp_customize->add_setting( 'katib_writers_about_page', array(
		'default'           => '',
		'sanitize_callback' => 'katib_writers_sanitize_dropdown_pages'
	) );
	$wp_customize->add_control( 'katib_writers_about_page', array(
		'label'    => __( 'Select About Page', 'katib-writers' ),
		'section'  => 'katib_writers_about',
		'type'     => 'dropdown-pages'
	) );

	//no Result Setting
	$wp_customize->add_section('katib_writers_no_result_setting',array(
		'title'	=> __('No Results Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));	

	$wp_customize->add_setting('katib_writers_no_search_result_title',array(
		'default'=> __('Nothing Found','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_no_search_result_title',array(
		'label'	=> __('No Search Results Title','katib-writers'),
		'section'=> 'katib_writers_no_result_setting',
		'type'=> 'text'
	));

	$wp_customize->add_setting('katib_writers_no_search_result_content',array(
		'default'=> __('Sorry, but nothing matched your search terms. Please try again with some different keywords.','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_no_search_result_content',array(
		'label'	=> __('No Search Results Content','katib-writers'),
		'section'=> 'katib_writers_no_result_setting',
		'type'=> 'text'
	));

	//404 Page Setting
	$wp_customize->add_section('katib_writers_page_not_found_setting',array(
		'title'	=> __('Page Not Found Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));	

	$wp_customize->add_setting('katib_writers_page_not_found_title',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_page_not_found_title',array(
		'label'	=> __('Page Not Found Title','katib-writers'),
		'section'=> 'katib_writers_page_not_found_setting',
		'type'=> 'text'
	));

	$wp_customize->add_setting('katib_writers_page_not_found_content',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_page_not_found_content',array(
		'label'	=> __('Page Not Found Content','katib-writers'),
		'section'=> 'katib_writers_page_not_found_setting',
		'type'=> 'text'
	));

	//Responsive Media Settings
	$wp_customize->add_section('katib_writers_mobile_media',array(
		'title'	=> __('Mobile Media Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));

	$wp_customize->add_setting('katib_writers_enable_disable_sidebar',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_enable_disable_sidebar',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Sidebar','katib-writers'),
       'section' => 'katib_writers_mobile_media'
    ));

    $wp_customize->add_setting('katib_writers_enable_disable_fixed_header',array(
       'default' => false,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_enable_disable_fixed_header',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Fixed Header','katib-writers'),
       'section' => 'katib_writers_mobile_media'
    ));

    $wp_customize->add_setting('katib_writers_enable_disable_banner',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_enable_disable_banner',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Banner','katib-writers'),
       'section' => 'katib_writers_mobile_media'
    ));

    $wp_customize->add_setting('katib_writers_show_hide_banner_button',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_show_hide_banner_button',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Banner Button','katib-writers'),
       'section' => 'katib_writers_mobile_media'
    ));

    $wp_customize->add_setting('katib_writers_enable_disable_scrolltop',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_enable_disable_scrolltop',array(
       'type' => 'checkbox',
       'label' => __('Enable / Disable Scroll To Top','katib-writers'),
       'section' => 'katib_writers_mobile_media'
    ));

	//Blog Post
	$wp_customize->add_section('katib_writers_blog_post',array(
		'title'	=> __('Post Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));	

	$wp_customize->add_setting('katib_writers_date_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_date_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Date','katib-writers'),
       'section' => 'katib_writers_blog_post'
    ));

    $wp_customize->add_setting('katib_writers_comment_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_comment_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Comments','katib-writers'),
       'section' => 'katib_writers_blog_post'
    ));

    $wp_customize->add_setting('katib_writers_author_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_author_hide',array(
       'type' => 'checkbox',
       'label' => __('Post Author','katib-writers'),
       'section' => 'katib_writers_blog_post'
    ));

    $wp_customize->add_setting( 'katib_writers_blog_post_metabox_seperator', array(
		'default'   => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	) );
	$wp_customize->add_control( 'katib_writers_blog_post_metabox_seperator', array(
		'label'       => esc_html__( 'Blog Post Meta Box Seperator','katib-writers' ),
		'section'     => 'katib_writers_blog_post',
		'description' => __('Add the seperator for meta box. Example: ",",  "|", "/", etc. ','katib-writers'),
		'type'        => 'text',
		'settings'    => 'katib_writers_blog_post_metabox_seperator',
	) );

    $wp_customize->add_setting('katib_writers_blog_post_layout',array(
        'default' => 'Default',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
    ));
    $wp_customize->add_control('katib_writers_blog_post_layout',array(
        'type' => 'radio',
        'label' => __('Post Layout Option','katib-writers'),
        'section' => 'katib_writers_blog_post',
        'choices' => array(
            'Default' => __('Default','katib-writers'),
            'Left' => __('Left','katib-writers'),
            'Image and Content' => __('Image and Content','katib-writers'),
        ),
	) );

	$wp_customize->add_setting('katib_writers_blog_description',array(
    	'default'   => __('Post Excerpt','katib-writers'),
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_blog_description',array(
        'type' => 'select',
        'label' => __('Post Description','katib-writers'),
        'section' => 'katib_writers_blog_post',
        'choices' => array(
            'None' => __('None','katib-writers'),
            'Post Excerpt' => __('Post Excerpt','katib-writers'),
            'Post Content' => __('Post Content','katib-writers'),
        ),
	) );

    $wp_customize->add_setting( 'katib_writers_excerpt_number', array(
		'default'              => 20,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	) );
	$wp_customize->add_control( 'katib_writers_excerpt_number', array(
		'label'       => esc_html__( 'Excerpt length','katib-writers' ),
		'section'     => 'katib_writers_blog_post',
		'type'        => 'number',
		'settings'    => 'katib_writers_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	$wp_customize->add_setting( 'katib_writers_post_excerpt_suffix', array(
		'default'   => __('{...}','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	) );
	$wp_customize->add_control( 'katib_writers_post_excerpt_suffix', array(
		'label'       => esc_html__( 'Excerpt Indicator','katib-writers' ),
		'section'     => 'katib_writers_blog_post',
		'type'        => 'text',
		'settings'    => 'katib_writers_post_excerpt_suffix',
	) );

	$wp_customize->add_setting('katib_writers_button_text',array(
		'default'=>  __('Continue Reading....','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_button_text',array(
		'label'	=> __('Add Button Text','katib-writers'),
		'section'=> 'katib_writers_blog_post',
		'type'=> 'text'
	));

	$wp_customize->add_setting('katib_writers_show_post_pagination',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_show_post_pagination',array(
       'type' => 'checkbox',
       'label' => __('Post Pagination','katib-writers'),
       'section' => 'katib_writers_blog_post'
    ));

	$wp_customize->add_setting( 'katib_writers_pagination_option', array(
        'default'			=> 'Default',
        'sanitize_callback'	=> 'katib_writers_sanitize_choices'
    ));
    $wp_customize->add_control( 'katib_writers_pagination_option', array(
        'section' => 'katib_writers_blog_post',
        'type' => 'radio',
        'label' => __( 'Post Pagination', 'katib-writers' ),
        'choices'		=> array(
            'Default'  => __( 'Default', 'katib-writers' ),
            'next-prev' => __( 'Next / Previous', 'katib-writers' ),
    )));

	// Single post setting
    $wp_customize->add_section('katib_writers_single_post_section',array(
		'title'	=> __('Single Post Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));	

	$wp_customize->add_setting('katib_writers_tags_hide',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_tags_hide',array(
       'type' => 'checkbox',
       'label' => __('Single Post Tags','katib-writers'),
       'section' => 'katib_writers_single_post_section'
    ));

    $wp_customize->add_setting('katib_writers_single_post_image',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_single_post_image',array(
       'type' => 'checkbox',
       'label' => __('Single Post Featured Image','katib-writers'),
       'section' => 'katib_writers_single_post_section'
    ));

    $wp_customize->add_setting( 'katib_writers_seperator_metabox', array(
		'default'   => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	) );
	$wp_customize->add_control( 'katib_writers_seperator_metabox', array(
		'label'       => esc_html__( 'Single Post Meta Box Seperator','katib-writers' ),
		'section'     => 'katib_writers_single_post_section',
		'description' => __('Add the seperator for meta box. Example: ",",  "|", "/", etc. ','katib-writers'),
		'type'        => 'text',
		'settings'    => 'katib_writers_seperator_metabox',
	) );

	$wp_customize->add_setting('katib_writers_comment_form_heading',array(
       'default' => __('Leave a Reply','katib-writers'),
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('katib_writers_comment_form_heading',array(
       'type' => 'text',
       'label' => __('Comment Form Heading','katib-writers'),
       'section' => 'katib_writers_single_post_section'
    ));

    $wp_customize->add_setting('katib_writers_comment_button_text',array(
       'default' => __('Post Comment','katib-writers'),
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('katib_writers_comment_button_text',array(
       'type' => 'text',
       'label' => __('Comment Submit Button Text','katib-writers'),
       'section' => 'katib_writers_single_post_section'
    ));

    $wp_customize->add_setting( 'katib_writers_comment_form_size',array(
		'default' => 100,
		'sanitize_callback'    => 'katib_writers_sanitize_number_range',
	));
	$wp_customize->add_control('katib_writers_comment_form_size',	array(
		'label' => esc_html__( 'Comment Form Size','katib-writers' ),
		'section' => 'katib_writers_single_post_section',
		'type' => 'range',
		'input_attrs' => array(
			'min' => 0,
			'max' => 100,
			'step' => 1,
		),
	));

    // related post setting
    $wp_customize->add_section('katib_writers_related_post_section',array(
		'title'	=> __('Related Post Settings','katib-writers'),
		'panel' => 'katib_writers_panel_id',
	));	

	$wp_customize->add_setting('katib_writers_related_posts',array(
       'default' => true,
       'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
    ));
    $wp_customize->add_control('katib_writers_related_posts',array(
       'type' => 'checkbox',
       'label' => __('Related Post','katib-writers'),
       'section' => 'katib_writers_related_post_section',
    ));

	$wp_customize->add_setting( 'katib_writers_show_related_post', array(
        'default' => 'By Categories',
        'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control( 'katib_writers_show_related_post', array(
        'section' => 'katib_writers_related_post_section',
        'type' => 'radio',
        'label' => __( 'Show Related Posts', 'katib-writers' ),
        'choices' => array(
            'categories'  => __('By Categories', 'katib-writers'),
            'tags' => __( 'By Tags', 'katib-writers' ),
    )));

    $wp_customize->add_setting('katib_writers_change_related_post_title',array(
		'default'=> __('Related Posts','katib-writers'),
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('katib_writers_change_related_post_title',array(
		'label'	=> __('Change Related Post Title','katib-writers'),
		'section'=> 'katib_writers_related_post_section',
		'type'=> 'text'
	));

   	$wp_customize->add_setting('katib_writers_change_related_posts_number',array(
		'default'=> 3,
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_change_related_posts_number',array(
		'label'	=> __('Change Related Post Number','katib-writers'),
		'section'=> 'katib_writers_related_post_section',
		'type'=> 'number',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
	));
	
	//Footer
	$wp_customize->add_section( 'katib_writers_footer' , array(
    	'title'      => __( 'Footer Section', 'katib-writers' ),
		'panel' => 'katib_writers_panel_id'
	) );

	$wp_customize->add_setting('katib_writers_footer_widget',array(
        'default'           => 4,
        'sanitize_callback' => 'katib_writers_sanitize_choices',
    ));
    $wp_customize->add_control('katib_writers_footer_widget',array(
        'type'        => 'radio',
        'label'       => __('No. of Footer widget area', 'katib-writers'),
        'section'     => 'katib_writers_footer',
        'description' => __('Select the number of footer widget areas and after that, go to Appearance > Widgets and add your widgets in the footer.', 'katib-writers'),
        'choices' => array(
            '1'     => __('One', 'katib-writers'),
            '2'     => __('Two', 'katib-writers'),
            '3'     => __('Three', 'katib-writers'),
            '4'     => __('Four', 'katib-writers')
        ),
    ));

    $wp_customize->add_setting( 'katib_writers_footer_widget_background', array(
	    'default' => '#054e47',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'katib_writers_footer_widget_background', array(
  		'label' => __('Footer Widget Background','katib-writers'),
	    'section' => 'katib_writers_footer',
  	)));

  	$wp_customize->add_setting('katib_writers_footer_widget_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'katib_writers_footer_widget_image',array(
        'label' => __('Footer Widget Background Image','katib-writers'),
        'section' => 'katib_writers_footer'
	)));

	$wp_customize->add_setting('katib_writers_hide_show_scroll',array(
        'default' => true,
        'sanitize_callback'	=> 'katib_writers_sanitize_checkbox'
	));
	$wp_customize->add_control('katib_writers_hide_show_scroll',array(
     	'type' => 'checkbox',
      	'label' => __('Show / Hide Scroll To Top','katib-writers'),
      	'section' => 'katib_writers_footer',
	));

	$wp_customize->add_setting('katib_writers_footer_options',array(
        'default' => 'Right align',
        'sanitize_callback' => 'katib_writers_sanitize_choices'
	));
	$wp_customize->add_control('katib_writers_footer_options',array(
        'type' => 'select',
        'label' => __('Scroll To Top','katib-writers'),
        'description' => __('Here you can change the Footer layout. ','katib-writers'),
        'section' => 'katib_writers_footer',
        'choices' => array(
            'Left align' => __('Left align','katib-writers'),
            'Right align' => __('Right align','katib-writers'),
            'Center align' => __('Center align','katib-writers'),
        ),
	) );

	$wp_customize->add_setting('katib_writers_scroll_top_fontsize',array(
		'default'=> '',
		'sanitize_callback'    => 'katib_writers_sanitize_number_range',
	));
	$wp_customize->add_control('katib_writers_scroll_top_fontsize',array(
		'label'	=> __('Scroll To Top Font Size','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_footer',
		'type'=> 'range'
	));

	$wp_customize->add_setting('katib_writers_scroll_top_bottom_padding',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_scroll_top_bottom_padding',array(
		'label'	=> __('Scroll Top Bottom Padding ','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_footer',
		'type'=> 'number'
	));

	$wp_customize->add_setting('katib_writers_scroll_left_right_padding',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_scroll_left_right_padding',array(
		'label'	=> __('Scroll Left Right Padding','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_footer',
		'type'=> 'number'
	));

	$wp_customize->add_setting( 'katib_writers_scroll_border_radius', array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	) );
	$wp_customize->add_control( 'katib_writers_scroll_border_radius', array(
		'label'       => esc_html__( 'Scroll To Top Border Radius','katib-writers' ),
		'section'     => 'katib_writers_footer',
		'type'        => 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	$wp_customize->add_setting('katib_writers_footer_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('katib_writers_footer_text',array(
		'label'	=> __('Add Copyright Text','katib-writers'),
		'section'	=> 'katib_writers_footer',
		'setting'	=> 'katib_writers_footer_text',
		'type'		=> 'text'
	));

    $wp_customize->add_setting('katib_writers_copyright_top_bottom_padding',array(
		'default'=> '',
		'sanitize_callback'	=> 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_copyright_top_bottom_padding',array(
		'label'	=> __('Copyright Top and Bottom Padding','katib-writers'),
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'section'=> 'katib_writers_footer',
		'type'=> 'number'
	));

	$wp_customize->add_setting('katib_writers_footer_text_font_size',array(
		'default'=> 16,
		'sanitize_callback'    => 'katib_writers_sanitize_float',
	));
	$wp_customize->add_control('katib_writers_footer_text_font_size',array(
		'label'	=> __('Footer Text Font Size','katib-writers'),
		'section'=> 'katib_writers_footer',
		'input_attrs' => array(
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
		'type'=> 'number'
	));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'katib_writers_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'katib_writers_customize_partial_blogdescription',
	) );
	
}
add_action( 'customize_register', 'katib_writers_customize_register' );

// logo resize
load_template( trailingslashit( get_template_directory() ) . '/inc/logo/logo-resizer.php' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @since Katib Writers 1.0
 * @see katib-writers_customize_register()
 *
 * @return void
 */
function katib_writers_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @since Katib Writers 1.0
 * @see katib-writers_customize_register()
 *
 * @return void
 */
function katib_writers_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Return whether we're on a view that supports a one or two column layout.
 */
function katib_writers_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'footer-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Katib_Writers_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Katib_Writers_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Katib_Writers_Customize_Section_Pro(
				$manager,
				'katib_writers_example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'Katib Writers Pro', 'katib-writers' ),
					'pro_text' => esc_html__( 'Go Pro', 'katib-writers' ),
					'pro_url'  => esc_url('https://www.themeseye.com/wordpress/wordpress-themes-for-writers/'),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'katib-writers-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'katib-writers-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Katib_Writers_Customize::get_instance();